/* Loading Indicator */
.is-loading:before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    display: block;
    width: 50px;
    height: 50px;
    border: 5px solid;
    border-color: #E3E3E3 #E3E3E3 transparent;
    border-radius: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
    -webkit-animation: simpleSpin 1.5s linear infinite;
    animation: simpleSpin 1.5s linear infinite;
}

/* Load More Progress Bar */
.load-more {
    margin-top: 32px;
    text-align: center;
    color: #222;
}

.load-more__progress {
    position: relative;
    margin: 10px 0 0;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    height: 8px;
    border: 0;
    border-radius: 0;
    min-width: 225px;
}

progress::-webkit-progress-bar,
progress::-webkit-progress-value,
progress::-moz-progress-bar {
    height: 8px;
    border: 0;
    border-radius: 0;
}

progress::-webkit-progress-bar {
    border: 2px solid rgba(85, 85, 85, 0.35);
    border-radius: 600px;
    background-color: transparent;
}

progress::-webkit-progress-value {
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 600px;
    background: linear-gradient(85deg, #0E39A7 0%, #1A62CF 80.17%, #278BF7 102.79%);
}

/* Load More Button */
.load-more__btn {
    display: block;
    margin: 20px auto 0;
    border-radius: 5px;
}

.load-more__btn.is-loading {
    position: relative;
    opacity: 0.6;
    cursor: not-allowed;
}

.load-more__btn.is-loading:before {
    width: 20px;
    height: 20px;
}

.load-more__btn.is-disabled {
    display: none;
}

/* Placeholder Space */
.placeholder-block {
    position: relative;
    display: flex;
}

.placeholder-block__inner {
    flex-grow: 1;
    background-color: #fafafa;
}

.placeholder-block.is-loading:before {
    width: 50px;
    height: 50px;
}

@-webkit-keyframes simpleSpin {
    0% {
        -webkit-transform: translate(-50%, -50%) rotateZ(0deg);
        transform: translate(-50%, -50%) rotateZ(0deg);
    }

    100% {
        -webkit-transform: translate(-50%, -50%) rotateZ(360deg);
        transform: translate(-50%, -50%) rotateZ(360deg);
    }
}

@keyframes simpleSpin {
    0% {
        -webkit-transform: translate(-50%, -50%) rotateZ(0deg);
        transform: translate(-50%, -50%) rotateZ(0deg);
    }

    100% {
        -webkit-transform: translate(-50%, -50%) rotateZ(360deg);
        transform: translate(-50%, -50%) rotateZ(360deg);
    }
}